Skip to main content

Add an additional driver to a user

POST 

/api/users/:userId/drivers

Requires admin token. Only firstName and lastName are required. A user can have at most 10 additional drivers.

Request​

Path Parameters

    userId stringrequired

Body

required

    middleName string

    Possible values: <= 100 characters

    Driver's middle name.

    dateOfBirth string

    Date of birth as yyyy-MM-dd.

    gender string

    Possible values: <= 100 characters

    Gender, free text (e.g. Male, Female, Non-binary).

    maritalStatus string

    Possible values: <= 100 characters

    Marital status, free text (e.g. Single, Married).

    relationshipToInsured string

    Possible values: <= 100 characters

    Relationship to the primary insured, free text (e.g. Spouse, Child).

    driversLicense string

    Possible values: <= 50 characters

    Driver's license number.

    driversLicenseState string

    2 letter code of the state that issued the license.

    education string

    Possible values: <= 100 characters

    Education, free text.

    occupation string

    Possible values: <= 100 characters

    Occupation, free text.

    firstName stringrequired

    Possible values: <= 100 characters

    Driver's first name. (Required)

    lastName stringrequired

    Possible values: <= 100 characters

    Driver's last name. (Required)

Responses​

The added driver.

Schema

    id string

    Driver id. Use it with PUT/DELETE /api/users/{userId}/drivers/{driverId}.

    firstName string

    First name

    middleName string

    Middle name

    lastName string

    Last name

    dateOfBirth string

    Date of birth, yyyy-MM-dd

    gender string

    Gender

    maritalStatus string

    Marital status

    relationshipToInsured string

    Relationship to the primary insured

    driversLicense string

    Driver's license number

    driversLicenseState string

    2 letter code of the state that issued the license

    education string

    Education

    occupation string

    Occupation

Loading...